### Method

# GUPnP Service signals_autoconnect

#### Declaration [src]

    void
    gupnp_service_signals_autoconnect (
      GUPnPService* service,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Connects call-back functions to the corresponding signals for variables and actions.

It attempts to connect all possible `GUPnPService::action-invoked` and `GUPnPService::query-variable` signals to appropriate callbacks for the service.

It is very similar to Gtk.Builder.connect_signals except that it attempts to guess the names of the signal handlers on its own.

For this function to do its magic, the application must name the callback functions for `GUPnPService::action-invoked` signals by striping the CamelCase off the action names and either prefix them with `on_` or append `_cb` to them.

Similar, for `GUPnPService::query-variable` signals, except that the functions shoul be prefixed with `query_` to the variable name.

For example, the callback function for the `GetSystemUpdateID` action should be either named as `get_system_update_id_cb` or `on_get_system_update_id` and the callback function for the query of the `SystemUpdateID` state variable should be named `query_system_update_id_cb` or `on_query_system_update_id`.

Note: This function will not work correctly if `GModule` is not supported on the platform or introspection is not available for `service`.

Warning: This function can not and therefore does not guarantee that the resulting signal connections will be correct as it depends heavily on a particular naming schemes described above.

This method is not directly available to language bindings.

#### Parameters

`user_data`

  Type: `gpointer`

  The data to pass to each of the callbacks.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.